python please pip pyicuのインストールエラー



mac installed (4)

うまくいくように私のために:

1)brewをicu4cをインストールしicu4c

brew install icu4c

2)バージョンを確認してください。

ls /usr/local/Cellar/icu4c/

59.1というプロンプトが表示されます。

3)前のステップから適切なバージョンに置き換えて以下のコマンドを実行します(1行目は整数部のみ、2行目と3行目は小数部)。

export ICU_VERSION=59
export PYICU_INCLUDES=/usr/local/Cellar/icu4c/59.1/include
export PYICU_LFLAGS=-L/usr/local/Cellar/icu4c/59.1/lib

4)最後にpyicu用のpythonパッケージをインストールします。

pip install pyicu

5)次のことが必要になる可能性があります。

brew link --force icu4c

https://ffff65535.com

私は私のMacにmusicbrainzサーバーをインストールしようとしています、そして私がpip pyicuをインストールしなければならないステップがあります。 私はこのエラーを受け続けます:

Collecting pyicu
Downloading PyICU-1.9.5.tar.gz (181kB)
100% |████████████████████████████████| 184kB 515kB/s 
Complete output from command python setup.py egg_info:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/private/tmp/pip-build-E50o2C/pyicu/setup.py", line 11, in <module>
    ICU_VERSION = subprocess.check_output(('icu-config', '--version')).strip()
  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 566, in check_output
    process = Popen(stdout=PIPE, *popenargs, **kwargs)
  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 710, in __init__
    errread, errwrite)
  File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/subprocess.py", line 1335, in _execute_child
    raise child_exception
OSError: [Errno 2] No such file or directory

----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /private/tmp/pip-build-E50o2C/pyicu/

ez_setup.pyをダウンロードして、python ez_setup.pyを試してみました。 私はsetuptoolsをアップグレードし、それらを別々にダウンロードしました。 他に何を試すべきかわからない。 助けてください!


以下の解決策はMAC OSX専用です -

brewを使ってpyICUをインストールしてみてください。

brew install icu4c

すでにインストールされていてリンクするだけでよいと言っている場合は、次の手順を試してください。

brew link icu4c

これは "/ usr / local / Cellar / icu4c / ..."に相対シンボリックリンクを作成します。


私はこの問題にubuntu 14.04と16.04で直面しました。 この問題を解決するには、libicu-devをインストールしてからもう一度インストールしてください。 やった

$sudo apt install libicu-dev
$pip install pyicu

これは誰かに役立つかもしれません。


私は私のMacでpolyglotをインストールしようとしたときにこの問題に直面していました(polyglotにはpyicuが必要です)。 以下は私にとってこれを解決しました。

# Install icu
brew install icu4c

# check newest version
ls /usr/local/Cellar/icu4c/

# Edit pyicu installer to work
git clone https://github.com/ovalhub/pyicu.git

# edit setup.py not to query for the version, i.e. change
# ICU_VERSION = subprocess.check_output(('icu-config', '--version')).strip()
# to whatever your version is, e.g.
# ICU_VERSION = '57.1'

# Install pyicu
env LDFLAGS=-L/usr/local/opt/icu4c/lib CPPFLAGS=-I/usr/local/opt/icu4c/include DYLD_LIBRARY_PATH=-L/usr/local/opt/icu4c/lib python setup.py build
env LDFLAGS=-L/usr/local/opt/icu4c/lib CPPFLAGS=-I/usr/local/opt/icu4c/include DYLD_LIBRARY_PATH=-L/usr/local/opt/icu4c/lib sudo python setup.py install

# Change DYLD_LIBRARY_PATH (not sure if req'd)
DYLD_LIBRARY_PATH=/usr/local/Cellar/icu4c/{version, e.g. 57.1}/:$DYLD_LIBRARY_PATH
echo $DYLD_LIBRARY_PATH

# Icu works now from python, and you can proceed with polyglot
$ python
>>> import icu
$ pip install polyglot
$ python
>>> import polyglot




musicbrainz